%define major 0
%define libname %mklibname omxil-bellagio %major
%define libname_devel %mklibname -d omxil-bellagio
%define il_api 1.1.2

%define _legacy_common_support 1

Name:          libomxil-bellagio
Version:       0.9.3
Release:       %mkrel 13
Summary:       Bellagio OpenMAX Integration Layer %{il_api} library and components
Group:         System/X11
License:       LGPL
Url:           https://omxil.sourceforge.net/
Source0:       https://sourceforge.net/projects/omxil/files/omxil/Bellagio%20%{version}/libomxil-bellagio-%{version}.tar.gz
#https://sourceforge.net/tracker/?func=detail&aid=3477869&group_id=160680&atid=816817
Patch0:        libomxil-bellagio-0.9.3-fix_Werror.patch
Patch1:        libomxil-bellagio-0.9.3-unused.patch
#https://sourceforge.net/tracker/?func=detail&aid=3477871&group_id=160680&atid=816817
Patch2:        libomxil-bellagio-0.9.3-nodoc.patch
Patch3:        https://git.buildroot.net/buildroot/plain/package/multimedia/bellagio/bellagio-0.9.3-dynamicloader-linking.patch
Patch4:        https://git.buildroot.net/buildroot/plain/package/multimedia/bellagio/bellagio-0.9.3-parallel-build.patch
Patch5:        https://git.buildroot.net/buildroot/plain/package/multimedia/bellagio/bellagio-0.9.3-segfault-on-removeFromWaitResource.patch
Patch6:        omxil_version.patch
Patch7:        libomxil-bellagio-0.9.3-memcpy.patch
Patch8:        libomxil-bellagio-0.9.3-valgrind_register.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: doxygen
BuildRequires: glibc-devel
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(id3tag)
BuildRequires: pkgconfig(libavcodec)
BuildRequires: pkgconfig(libavformat)
BuildRequires: pkgconfig(libavutil)
BuildRequires: pkgconfig(libswscale)
BuildRequires: pkgconfig(mad)
BuildRequires: pkgconfig(vorbis)

%description
The OpenMAX IL %{il_api} API defines a standardized media component interface to
enable developers and platform providers to integrate and communicate
with multimedia codecs implemented in hardware or software.

%package -n %libname
Summary:          Library files for %{name}
Group:            System/X11
Provides:         %{name} = %version

%description -n %libname
Bellagio OpenMAX Integration Layer %{il_api} library and components.

The libomxil shared library implements the OpenMAX IL Core functionalities.
Four dynamically loadable components are also included: OMX volume control,
OMX audio mixer (up to 4 inputs), a video scheduler component for uncompressed
video streams and a clock component

%package -n %libname_devel
Group:         Development/C
Summary:       Devel package for %{name}
Requires:      %libname = %{version}-%{release}
Provides:      %{name}-devel = %{version}

%description -n %libname_devel
Bellagio OpenMAX Integration Layer %{il_api} library and components.

This package contains static libraries and header files need for development.

%package doc
Group:         Documentation
Summary:       OpenMAX Bellagio Documentation
BuildArch:	noarch

%description doc
Bellagio OpenMAX Integration Layer %{il_api} library and components.

This package contains OpenMAX Bellagio documentation.

%prep
%setup -q
%patch -P 0 -p1 -b .fix_werror
%patch -P 1 -p1 -b .unused
%patch -P 2 -p1 -b .nodoc
%patch -P 3 -p1 -b .dynl
%patch -P 4 -p1 -b .pb
%patch -P 5 -p1 -b .sf
%patch -P 6 -p0 -b .orig
%patch -P 7 -p1 -b .memcpy
%patch -P 8 -p0 -b .register

# build without -Werror
sed -i -e 's/\s\?-Werror//g' configure.ac

%build
autoreconf -fi
%configure --enable-videosrc --disable-static --disable-jpeg
%make_build

%install
%make_install docdir=%{_docdir}/%{name}

find %{buildroot} -name "*.la" -delete

cp -a doc/libomxil-bellagio/html %{buildroot}%{_docdir}/%{name}

%post
%{_bindir}/omxregister-bellagio
exit 0

%files -n %libname
%{_bindir}/omxregister-bellagio
%{_libdir}/libomxil-bellagio.so.%{major}{,.*}
%dir %{_libdir}/bellagio
%{_libdir}/bellagio/libomxaudio_effects.so.%{major}{,.*}
%{_libdir}/bellagio/libomxclocksrc.so.%{major}{,.*}
%{_libdir}/bellagio/libomxvideosched.so.%{major}{,.*}
%dir %{_libdir}/omxloaders
%{_libdir}/omxloaders/libomxdynamicloader.so.%{major}{,.*}
%docdir %{_docdir}/%{name}/
%doc %{_docdir}/%{name}/ChangeLog
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/TODO
%{_mandir}/man1/omxregister-bellagio.1*

%files -n %libname_devel
%{_includedir}/*.h
%dir %{_includedir}/bellagio
%{_includedir}/bellagio/*.h
%{_libdir}/libomxil-bellagio.so
%{_libdir}/bellagio/libomxaudio_effects.so
%{_libdir}/bellagio/libomxclocksrc.so
%{_libdir}/bellagio/libomxvideosched.so
%{_libdir}/omxloaders/libomxdynamicloader.so
%{_libdir}/pkgconfig/libomxil-bellagio.pc
%doc AUTHORS COPYING NEWS

%files doc
%doc %{_docdir}/%{name}/html


%changelog
* Sun Dec 22 2024 pterjan <pterjan> 0.9.3-13.mga10
+ Revision: 2127816
- Rebuild for patchN deprecation

* Sat Mar 19 2022 umeabot <umeabot> 0.9.3-12.mga9
+ Revision: 1799537
- Mageia 9 Mass Rebuild

* Thu Dec 24 2020 wally <wally> 0.9.3-11.mga8
+ Revision: 1663357
- sync patches with Fedora
- build with -fcommon
- build with our %%ldflags
- tag docs as such
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 0.9.3-10.mga8
+ Revision: 1514692
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 27 2018 daviddavid <daviddavid> 0.9.3-9.mga7
+ Revision: 1308477
- fix memcpy boundary error with gcc8
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Tue May 02 2017 akien <akien> 0.9.3-8.mga6
+ Revision: 1098363
- Rebuild for ffmpeg 3.3

* Wed Feb 03 2016 umeabot <umeabot> 0.9.3-7.mga6
+ Revision: 933146
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.3-6.mga5
+ Revision: 747287
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.3-5.mga5
+ Revision: 681680
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.3-4.mga4
+ Revision: 507281
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-3.mga3
+ Revision: 357927
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 0.9.3-2.mga3
+ Revision: 316575
- update rpm group

* Mon Dec 19 2011 gil <gil> 0.9.3-1.mga2
+ Revision: 184081
- build fix
  fix files lists
- build fix
  added sub package doc
  added %%post script
  applied patch#1 patch#2 (from Debian)
- * clean spec file
- * update to 0.9.3
  * package dont support Werror flag
- imported package libomxil-bellagio

